org.deidentifier.arx.gui.worker

## Class WorkerCreateCertificate

- java.lang.Object
- - org.deidentifier.arx.gui.worker.Worker<java.io.File>
  - - org.deidentifier.arx.gui.worker.WorkerCreateCertificate

All Implemented Interfaces:
  org.eclipse.jface.operation.IRunnableWithProgress

    public class WorkerCreateCertificate
    extends Worker<java.io.File>

This worker creates a certificate.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`WorkerCreateCertificate(java.lang.String path, CSVSyntax syntax, DataHandle input, DataDefinition definition, ARXConfiguration config, ARXResult result, ARXLattice.ARXNode transformation, DataHandle output, Model model)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run(org.eclipse.core.runtime.IProgressMonitor arg0)`

### Methods inherited from class org.deidentifier.arx.gui.worker.Worker

`getError, getResult, setError`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WorkerCreateCertificate

    public WorkerCreateCertificate(java.lang.String path,
                                   CSVSyntax syntax,
                                   DataHandle input,
                                   DataDefinition definition,
                                   ARXConfiguration config,
                                   ARXResult result,
                                   ARXLattice.ARXNode transformation,
                                   DataHandle output,
                                   Model model)

Creates a new instance.

Parameters:
  `file` -
  `syntax` -
  `input` -
  `definition` -
  `config` -
  `result` -
  `transformation` -
  `output` -

### Method Detail

#### run

    public void run(org.eclipse.core.runtime.IProgressMonitor arg0)
             throws java.lang.reflect.InvocationTargetException,
                    java.lang.InterruptedException

Throws:
  `java.lang.reflect.InvocationTargetException`
  `java.lang.InterruptedException`